---
lang: en
title: 'API docs: metadata.decoratorfactory.inherit'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/metadata
permalink: /doc/en/lb4/apidocs.metadata.decoratorfactory.inherit.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/metadata](./metadata.md) &gt; [DecoratorFactory](./metadata.decoratorfactory.md) &gt; [inherit](./metadata.decoratorfactory.inherit.md)

## DecoratorFactory.inherit() method

Inherit metadata from base classes. By default, this method merges base metadata into the spec if `allowInheritance` is set to `true`<!-- -->. To customize the behavior, this method can be overridden by sub classes.

**Signature:**

```typescript
protected inherit(inheritedMetadata: T | undefined | null): T;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  inheritedMetadata | T \| undefined \| null | Metadata from base classes for the member |

**Returns:**

T


